MFont Struct Reference

Type of fonts. More...

## Data Fields

unsigned short | property [MFONT_PROPERTY_MAX]
unsigned | type: 2
unsigned | source: 2
unsigned | spacing: 2
unsigned | for_full_width: 1
unsigned | multiple_sizes: 1
unsigned | size: 24
MSymbol | file
MSymbol | capability
MFontEncoding * | encoding

## Detailed Description

Type of fonts.

The type MFont is the structure defining fonts. It contains information about the following properties of a font: foundry, family, weight, style, stretch, adstyle, registry, size, and resolution.

This structure is used both for specifying a font in a fontset and for storing information about available system fonts.

The internal structure is concealed from an application program.

See Also:
  mfont(), mfont_from_name(), mfont_find().

## Field Documentation

## property

unsigned short MFont::property[MFONT_PROPERTY_MAX]

## type

unsigned MFont::type

## source

unsigned MFont::source

## spacing

unsigned MFont::spacing

## for_full_width

unsigned MFont::for_full_width

## multiple_sizes

unsigned MFont::multiple_sizes

## size

unsigned MFont::size

## file

MSymbol MFont::file

## capability

MSymbol MFont::capability

## encoding

MFontEncoding* MFont::encoding